View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000128Ecere SDKidepublic2008-08-22 21:152014-05-19 01:32
Reporterrohypnol 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000128: The ` and ~ characters in the Watches window
DescriptionTry entering these in the Watches window:
`~`6
0000010:0000006
`6
```6`
6`6
TagsNo tags attached.
Attached Files

- Relationships
related to 0000067closedjerome Wrong watch error message for invalid expression 

-  Notes
(0000086)
jerome (administrator)
2008-08-22 22:52

` is probably ignored (maybe generates a syntax error) during the expression parsing
~ is the C binary NOT operator
(0001250)
jerome (administrator)
2014-05-02 19:51

Fixed by:
https://github.com/ecere/ecere-sdk/commit/1112656a5cb76f2b9ef4aa0b3833f3597b92fcca [^]

- Issue History
Date Modified Username Field Change
2008-08-22 21:15 rohypnol New Issue
2008-08-22 22:52 jerome Note Added: 0000086
2008-08-22 22:52 jerome Priority normal => low
2010-07-25 22:30 redj Relationship added child of 0000430
2012-03-08 16:52 redj Target Version => 0.45 Ginkakuji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-04-25 20:20 jerome Target Version 0.45 Ginkakuji => 0.44.5 Debug
2014-05-01 02:11 jerome Assigned To => jerome
2014-05-01 02:11 jerome Priority low => immediate
2014-05-01 02:11 jerome Status new => assigned
2014-05-01 02:11 jerome Target Version 0.44.70 Debug => 0.44.10 64
2014-05-01 02:50 jerome Relationship added related to 0000067
2014-05-01 05:27 jerome View Status private => public
2014-05-01 05:27 jerome Description Updated
2014-05-02 19:51 jerome Status assigned => resolved
2014-05-02 19:51 jerome Fixed in Version => 0.44.10 64
2014-05-02 19:51 jerome Resolution open => fixed
2014-05-02 19:51 jerome Note Added: 0001250
2014-05-19 01:32 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker